<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
BaseDatabase..::.Rename Method (String, String, DatabaseEnvironment)
BaseDatabase Class See Also

Rename the underlying file represented by Filename, incidentally renaming all of the databases it contained.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#

    public static void Rename(
    	string Filename,
    	string NewName,
    	DatabaseEnvironment DbEnv
    )

Visual Basic (Declaration)

    Public Shared Sub Rename ( _
    	Filename As String, _
    	NewName As String, _
    	DbEnv As DatabaseEnvironment _
    )

Visual C++

    public:
    static void Rename(
    	String^ Filename,
    	String^ NewName,
    	DatabaseEnvironment^ DbEnv
    )

#### Parameters

Filename
  Type: System..::.String
  The file to rename

NewName
  Type: System..::.String
  The new filename

DbEnv
  Type: BerkeleyDB..::.DatabaseEnvironment
  The DatabaseEnvironment the database belongs to

# See Also

BaseDatabase Class
Rename Overload
BerkeleyDB Namespace